Issue 84562

Summary: links to "external data" done with Excel are not imported
Product: Calc Reporter: pagalmes.lists
Component: open-importAssignee: frank
Status: CLOSED FIXED QA Contact: issues@sc <issues>
Severity: Trivial    
Priority: P3 CC: issues
Version: OOo 2.3   
Target Milestone: ---   
Hardware: All   
OS: All   
Issue Type: DEFECT Latest Confirmation in: ---
Developer Difficulty: ---
Attachments:
Description Flags
the data
none
the request
none
the update data dialog none

Description pagalmes.lists 2007-12-14 07:48:43 UTC
In Excel, you can insert in a spreadsheet the result of a request on external
data (xls files, Access db...). Such requests can't be updated anymore if you
open the file within Calc.

I created two documents:

- source: it contains the data.
- request: is the result of the request on the source file.

To reproduce the issue:

- try to open the request file.
- It asks if you want to update the data
- if you answer "yes", even if everything is correct, OOo answers it can't
update the data.

Thus, this is a compatibility issue...


To create the source file:

- open an empty sheet in Excel
- write some data
- select the data
- give a name to that data

To create the request file:

- open an empty sheet in Excel
- Tools > external data > create a request...
- select "Excel file"
- select the file
- follow the wizard to define the data you want
- and that's it
Comment 1 pagalmes.lists 2007-12-14 07:49:07 UTC
Created attachment 50305 [details]
the data
Comment 2 pagalmes.lists 2007-12-14 07:49:38 UTC
Created attachment 50306 [details]
the request
Comment 3 frank 2007-12-14 09:35:46 UTC
Hi Daniel,

please have a look at this one. Edit-Links shows strange filenames.

Frank
Comment 4 daniel.rentz 2007-12-14 14:28:59 UTC
This is an ODBC connection, import of these connections is not supported. I will
add code to detect this type of connection and to prevent creating the links.
Comment 5 daniel.rentz 2007-12-14 14:44:55 UTC
fixed in SRC680/dr58 (OOo 2.4)
Comment 6 daniel.rentz 2008-01-14 16:20:55 UTC
back to QA
Comment 7 oc 2008-01-17 12:36:26 UTC
verified in internal version cws_dr58
Comment 8 pagalmes.lists 2008-03-28 14:37:06 UTC
I just tested this issue. the behaviour has changed, but is still not the one I
would expect, as I lose data:

- By default, if you open the request doc in Excel and right click on the zone
where there is data, you can "update" the request result (see screenshot).

- if you open the request document with OOo and save it, then the request is
lost: if you open the document in Excel once you saved it, you can't update
anymore the result of the request.
Comment 9 pagalmes.lists 2008-03-28 14:40:10 UTC
Created attachment 52349 [details]
the update data dialog
Comment 10 frank 2008-03-28 15:21:13 UTC
Hi Daniel,

please explain what's the fix.

Frank
Comment 11 pavel 2008-03-29 17:15:05 UTC
reset target. 2.4 is already released.

Comment 12 daniel.rentz 2008-03-31 08:39:11 UTC
We do not support import of ODBC connections in the Excel import filter. The
import filter will simply ignore it, so after exporting the document to Excel
format, the links are lost completely.
Comment 13 daniel.rentz 2008-03-31 08:53:35 UTC
fst: the fix is that the import filter does not try to create links from the
ODBC data contained in the attached file anymore. Before, the filter code
assumed that there is a web query (which are still supported).
Comment 14 daniel.rentz 2008-03-31 09:10:42 UTC
closed